<?php
	/***************   Kevin 2008.02.10 ******************************/
	/***************     数据库设置 文档  ******************************/

	
	//------------数据库连接文档----------//
	
	
	//  数据库adodb 文件
	require_once(R_P."adodb/adodb.inc.php");
 

    // 选择连接的数据库种类，建立连接。
    $db = &ADONewConnection($db_type);
    

    // 侦错讯息，false 不要，true 要。
    
    //$db->debug = true;
    //$db->debug = false;

    // 连接数据库
    // 用法：$db->Connect('主机', '使用者', '密码', '数据库'); 持续性连接使用PConnect：
    if($pconnect) $db->PConnect($db_host, $db_user, $db_pw, $db_name);
    else $db->Connect($db_host, $db_user, $db_pw, $db_name);
    sql_return("SET  NAMES   'utf8'");

   //   检查是否链接 $sql ="UPDATE qhouse_config  SET db_value=1 WHERE db_value=2";$db->Execute($sql); 
   //ALTER DATABASE CHARACTER SET utf8;设置数据库字符集
   
   /*************  sql语句示例 *********************/
    /**
     * sql_return 1 Execute , 2 GetRow, 3 GetOne, Insert_ID,count,FetchRow,EOF,Err,fields,MoveNext,,,,
     * 
    插入一笔记录，命令的大小写无妨，但数据表 t 及变量则大小写有分别 !
    $sql = "INSERT INTO t(name, year) VALUES ('$name', $year)";
    $rs = $db->Execute($sql);

    $sql = "SELECT * FROM t WHERE year=-1";
    $rs = $db->Execute($sql);



    $sql = "SELECT * FROM t";
    $rs = $db->Execute($sql);
    if ($rs) {
    while( $ar = $rs->FetchRow() ) {
        print $ar['name'] ." " . $ar['year'];
        print "<br>\n";
    }

} 



$sql ="UPDATE t SET name='john', year=28 WHERE year=18";
$conn->Execute($sql); 



 $sql = "DELETE FROM t WHERE year=18";
 $rs = $conn->Execute($sql); 


*/

    
 


?>